KNOWLEDGE BASE

Error "The drivers required to connect to the data source are not installed." When Connecting to MS SQL Server


Published: 24 May 2018
Last Modified Date: 20 May 2019

Issue

When attempting to connect to MS SQL Server on a Mac in Tableau Desktop 2018.1 after 10.5 is removed,  the following error message might occur:

"The drivers required to connect to the data source are not installed"

Environment

  • Tableau Desktop 2018.1
  • Mac OSX
  • MS SQL Server

Resolution

Option 1

Uninstall Tableau 2018.1. Once 2018.1 is uninstalled, follow these steps:
  1. Install Tableau Desktop 10.5.3 (or lower maintenance release of 10.5)
  2. Once 10.5.3 is installed, install Tableau Desktop 2018.1 (do not uninstall 10.5.3)

Option 2

Upgrade Tableau Desktop 10.5.3 (or lower maintenance release of 10.5) to 10.5.4. For more information, see Upgrading Tableau Desktop in Tableau Help. 

Cause

The MS SQL drivers and their dependencies are installed alongside Tableau, and Microsoft components can be sensitive to the order of installation.
Did this article resolve the issue?